## IdeService IdeService |

## Functions

const gchar * | ide_service_get_name ()
void | ide_service_start ()
void | ide_service_stop ()

## Types and Values

#define | IDE_TYPE_SERVICE
struct | IdeServiceInterface
| IdeService

## Description

## Functions

### ide_service_get_name ()

    const gchar *
    ide_service_get_name (IdeService *self);

### ide_service_start ()

    void
    ide_service_start (IdeService *self);

### ide_service_stop ()

    void
    ide_service_stop (IdeService *self);

## Types and Values

### IDE_TYPE_SERVICE

    #define IDE_TYPE_SERVICE (ide_service_get_type())

### struct IdeServiceInterface

    struct IdeServiceInterface {
      GTypeInterface parent_interface;

      void         (*context_loaded) (IdeService *service);
      const gchar *(*get_name)       (IdeService *service);
      void         (*start)          (IdeService *service);
      void         (*stop)           (IdeService *service);
      void         (*set_context)    (IdeService *service,
                                      IdeContext *context);
    };

### IdeService

    typedef struct _IdeService IdeService;